<?php
if (!in_array("Stammdaten", $_SESSION['Rechte'])) {
	exit(ZUGRIFF_ERROR);
}
if (!isset($_SESSION['ID'])) {
} else {
	echo "<h1>Objektrubriken</h1>\n";
	echo "<p>Legen Sie hier die <span class=\"hinweis\">Objektrubriken</span> fest, die auf der Homepage angezeigt werden sollen.</p>\n";
	if ("Speichern" == $_POST['Send']) {
		if (isset($_POST['wm'])) {
			$sqlw1 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "4";';
		} else {
			$sqlw1 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "4";';
		}
			
		$stmtw1 = $db->prepare($sqlw1);
		if (!$stmtw1) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtw1->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtw1->error);
		}
		
		if (isset($_POST['wk'])) {
			$sqlw2 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "5";';
		} else {
			$sqlw2 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "5";';
		}
		$stmtw2 = $db->prepare($sqlw2);
		if (!$stmtw2) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtw2->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtw2->error);
		}
		
		if (isset($_POST['hm'])) {
			$sqlw3 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "6";';
		} else {
			$sqlw3 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "6";';
		}
		$stmtw3 = $db->prepare($sqlw3);
		if (!$stmtw3) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtw3->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtw3->error);
		}
		if (isset($_POST['hk'])) {
			$sqlw4 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "7";';
		} else {
			$sqlw4 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "7";';
		}
		$stmtw4 = $db->prepare($sqlw4);
		if (!$stmtw4) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtw4->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtw4->error);
		}

		if (isset($_POST['bp'])) {
			$sqlg1 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "8";';
		} else {
			$sqlg1 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "8";';
		}
			
		$stmtg1 = $db->prepare($sqlg1);
		if (!$stmtg1) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtg1->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtg1->error);
		}
		
		if (isset($_POST['ei'])) {
			$sqlg2 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "9";';
		} else {
			$sqlg2 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "9";';
		}
		$stmtg2 = $db->prepare($sqlg2);
		if (!$stmtg2) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtg2->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtg2->error);
		}
		
		if (isset($_POST['gh'])) {
			$sqlg3 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "10";';
		} else {
			$sqlg3 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "10";';
		}
		$stmtg3 = $db->prepare($sqlg3);
		if (!$stmtg3) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtg3->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtg3->error);
		}
		if (isset($_POST['mf'])) {
			$sqlg4 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "11";';
		} else {
			$sqlg4 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "11";';
		}
		$stmtg4 = $db->prepare($sqlg4);
		if (!$stmtg4) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmtg4->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmtg4->error);
		}

		if (isset($_POST['ao'])) {
			$sqlo1 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "1";';
		} else {
			$sqlo1 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "1";';
		}
			
		$stmto1 = $db->prepare($sqlo1);
		if (!$stmto1) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmto1->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmto1->error);
		}
		
		if (isset($_POST['ro'])) {
			$sqlo2 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "2";';
		} else {
			$sqlo2 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "2";';
		}
		$stmto2 = $db->prepare($sqlo2);
		if (!$stmto2) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmto2->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmto2->error);
		}
		
		if (isset($_POST['gs'])) {
			$sqlo3 = 'UPDATE
						ObR
					SET
						Wert = "on"
					WHERE ID = "3";';
		} else {
			$sqlo3 = 'UPDATE
						ObR
					SET
						Wert = ""
					WHERE ID = "3";';
		}
		$stmto3 = $db->prepare($sqlo3);
		if (!$stmto3) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmto3->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmto3->error);
		}
		
		echo "<p class=\"hinweis\">Daten wurden gespeichert!</p>\n";

	}

	$sql1 = "SELECT Kurz, Name, Wert FROM ObR WHERE Sektion = \"wohnen\";";
	$result1 = $db->query($sql1);
	$sql2 = "SELECT Kurz, Name, Wert FROM ObR WHERE Sektion = \"gewerbe\";";
	$result2 = $db->query($sql2);
	$sql3 = "SELECT Kurz, Name, Wert FROM ObR WHERE Sektion = \"objekte\";";
	$result3 = $db->query($sql3);

	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\" >\n";
	echo "<fieldset>\n";
	echo "<legend>Obejektrubriken</legend>\n";
	echo "<fieldset>\n";
	echo "<legend>Immobilien Wohnen</legend>\n";
	while ($nt1 = $result1->fetch_assoc()) {
		echo "	<label>".$nt1['Name']."</label>\n";
		echo "	<input type=\"checkbox\" name=\"".$nt1['Kurz']."\" ";
		if ("on" == $nt1['Wert']) {
			echo "checked=\"checked\" ";
		}
		echo " />\n";
		echo "	<br />\n";
	}
	echo "</fieldset>\n";
	echo "<br />\n";
	echo "<fieldset>\n";
	echo "<legend>Immobilien Gewerbe</legend>\n";
	while ($nt2 = $result2->fetch_assoc()) {
		echo "	<label>".$nt2['Name']."</label>\n";
		echo "	<input type=\"checkbox\" name=\"".$nt2['Kurz']."\" ";
		if ("on" == $nt2['Wert']) {
			echo "checked=\"checked\" ";
		}
		echo " />\n";
		echo "	<br />\n";
	}
	echo "</fieldset>\n";
	echo "<br />\n";
	echo "<fieldset>\n";
	echo "<legend>Sonstige Immobilien</legend>\n";
	while ($nt3 = $result3->fetch_assoc()) {
		echo "	<label>".$nt3['Name']."</label>\n";
		echo "	<input type=\"checkbox\" name=\"".$nt3['Kurz']."\" ";
		if ("on" == $nt3['Wert']) {
			echo "checked=\"checked\" ";
		}
		echo " />\n";
		echo "	<br />\n";
	}
	echo "</fieldset>\n";
	echo "	&nbsp;<br />\n";
	echo "	<input type=\"submit\" name=\"Send\" value=\"Speichern\" />\n";
	echo "	<input type=\"reset\" value=\"Rücksetzen\" />\n";
	echo "</fieldset>\n";
	echo "</form>\n";
}
?>